Package com.databend.jdbc.examples

## Class DatabendConnectionPool

- java.lang.Object
- - org.apache.commons.pool2.BaseObject
  - - org.apache.commons.pool2.impl.BaseGenericObjectPool<T>
    - - org.apache.commons.pool2.impl.GenericObjectPool<Connection>
      - - com.databend.jdbc.examples.DatabendConnectionPool

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `org.apache.commons.pool2.impl.GenericObjectPoolMXBean`, `org.apache.commons.pool2.ObjectPool<Connection>`, `org.apache.commons.pool2.UsageTracking<Connection>`

    public class DatabendConnectionPool
    extends org.apache.commons.pool2.impl.GenericObjectPool<Connection>

### Field Summary

### Fields inherited from class org.apache.commons.pool2.impl.BaseGenericObjectPool

`abandonedConfig, MEAN_TIMING_STATS_CACHE_SIZE`

### Constructor Summary

Constructors
`DatabendConnectionPool​(DatabendConnectionFactory factory, org.apache.commons.pool2.impl.GenericObjectPoolConfig<Connection> config)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `testDemo()`

### Methods inherited from class org.apache.commons.pool2.impl.GenericObjectPool

`addObject, borrowObject, borrowObject, borrowObject, clear, close, evict, getFactory, getFactoryType, getMaxIdle, getMinIdle, getNumActive, getNumIdle, getNumWaiters, invalidateObject, invalidateObject, listAllObjects, preparePool, returnObject, setConfig, setMaxIdle, setMinIdle, toStringAppendFields, use`

### Methods inherited from class org.apache.commons.pool2.impl.BaseGenericObjectPool

`getBlockWhenExhausted, getBorrowedCount, getCreatedCount, getCreationStackTrace, getDestroyedByBorrowValidationCount, getDestroyedByEvictorCount, getDestroyedCount, getDurationBetweenEvictionRuns, getEvictionPolicy, getEvictionPolicyClassName, getEvictorShutdownTimeout, getEvictorShutdownTimeoutDuration, getEvictorShutdownTimeoutMillis, getFairness, getJmxName, getLifo, getLogAbandoned, getMaxBorrowWaitTimeMillis, getMaxTotal, getMaxWaitDuration, getMaxWaitMillis, getMeanActiveTimeMillis, getMeanBorrowWaitTimeMillis, getMeanIdleTimeMillis, getMessageStatistics, getMinEvictableIdleDuration, getMinEvictableIdleTime, getMinEvictableIdleTimeMillis, getNumTestsPerEvictionRun, getRemoveAbandonedOnBorrow, getRemoveAbandonedOnMaintenance, getRemoveAbandonedTimeout, getRemoveAbandonedTimeoutDuration, getReturnedCount, getSoftMinEvictableIdleDuration, getSoftMinEvictableIdleTime, getSoftMinEvictableIdleTimeMillis, getSwallowedExceptionListener, getTestOnBorrow, getTestOnCreate, getTestOnReturn, getTestWhileIdle, getTimeBetweenEvictionRuns, getTimeBetweenEvictionRunsMillis, isAbandonedConfig, isClosed, markReturningState, setAbandonedConfig, setBlockWhenExhausted, setConfig, setEvictionPolicy, setEvictionPolicyClassName, setEvictionPolicyClassName, setEvictorShutdownTimeout, setEvictorShutdownTimeoutMillis, setLifo, setMaxTotal, setMaxWait, setMaxWaitMillis, setMessagesStatistics, setMinEvictableIdle, setMinEvictableIdleTime, setMinEvictableIdleTimeMillis, setNumTestsPerEvictionRun, setSoftMinEvictableIdle, setSoftMinEvictableIdleTime, setSoftMinEvictableIdleTimeMillis, setSwallowedExceptionListener, setTestOnBorrow, setTestOnCreate, setTestOnReturn, setTestWhileIdle, setTimeBetweenEvictionRuns, setTimeBetweenEvictionRunsMillis`

### Methods inherited from class org.apache.commons.pool2.BaseObject

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.commons.pool2.impl.GenericObjectPoolMXBean

`getBlockWhenExhausted, getBorrowedCount, getCreatedCount, getCreationStackTrace, getDestroyedByBorrowValidationCount, getDestroyedByEvictorCount, getDestroyedCount, getFairness, getLifo, getLogAbandoned, getMaxBorrowWaitTimeMillis, getMaxTotal, getMaxWaitMillis, getMeanActiveTimeMillis, getMeanBorrowWaitTimeMillis, getMeanIdleTimeMillis, getMinEvictableIdleTimeMillis, getNumTestsPerEvictionRun, getRemoveAbandonedOnBorrow, getRemoveAbandonedOnMaintenance, getRemoveAbandonedTimeout, getReturnedCount, getTestOnBorrow, getTestOnCreate, getTestOnReturn, getTestWhileIdle, getTimeBetweenEvictionRunsMillis, isAbandonedConfig, isClosed`

### Methods inherited from interface org.apache.commons.pool2.ObjectPool

`addObjects`

### Constructor Detail

#### DatabendConnectionPool

    public DatabendConnectionPool​(DatabendConnectionFactory factory,
                                  org.apache.commons.pool2.impl.GenericObjectPoolConfig<Connection> config)

### Method Detail

#### testDemo

    public void testDemo()
                  throws Exception

Throws:
  `Exception`